<?php
/* PHP interface description for TET
 * Copyright (c) PDFlib GmbH 2009-2014
 *
 * Note that this is only a syntax summary.
 * For complete information please refer to the API reference
 * which is available in the distribution.
 */

class TETException {
/**
 * Get the number of the last thrown exception or the reason for a failed function call.
 */
function get_errnum() {}

/**
 * Get the text of the last thrown exception or the reason for a failed function call.
 */
function get_errmsg() {}

/**
 * Get the name of the API function which threw the last exception or failed.
 */
function get_apiname() {}
};


class TET {


/**
 * Release a document handle and all internal resources related to that * document
 *
 * @param int $doc
 */
function close_document($doc) {}


/**
 * Release a page handle and all related resources.
 *
 * @param int $page
 */
function close_page($page) {}


/**
 * Create a named virtual read-only file from data provided in memory.
 *
 * @param string $filename
 * @param string $data
 * @param string $optlist
 */
function create_pvf($filename, $data, $optlist) {}


/**
 * Delete a named virtual file and free its data structures (but not the * contents).
 *
 * @param string $filename
 */
function delete_pvf($filename) {}


/**
 * Get the name of the API function which caused an exception or failed.
 *
 */
function get_apiname() {}


/**
 * Get detailed information for the next character in the most recent text * fragment.
 *
 * @param int $page
 */
function get_char_info($page) {}


/**
 * Get detailed information for a color id which has been retrieved with   TET_get_char_info.
 *
 * @param int $doc
 * @param int $colorid
 * @param string $optlist
 */
function get_color_info($doc, $colorid, $optlist) {}


/**
 * Get the text of the last thrown exception or the reason for a failed * function call.
 *
 */
function get_errmsg() {}


/**
 * Get the number of the last thrown exception or the reason for a failed * function call.
 *
 */
function get_errnum() {}


/**
 * Retrieve image data in memory.
 *
 * @param int $doc
 * @param int $imageid
 * @param string $optlist
 */
function get_image_data($doc, $imageid, $optlist) {}


/**
 * Retrieve information about the next image on the page (but not the actual * pixel data).
 *
 * @param int $page
 */
function get_image_info($page) {}


/**
 * Get the next text fragment from a page's content.
 *
 * @param int $page
 */
function get_text($page) {}


/**
 * Query properties of a virtual file or the PDFlib Virtual Filesystem (PVF).
 *
 * @param string $filename
 * @param string $keyword
 * @return  The value of some file parameter as requested by keyword.
 */
function info_pvf($filename, $keyword) {}


/**
 * Open a disk-based or virtual PDF document for content extraction.
 *
 * @param string $filename
 * @param string $optlist
 */
function open_document($filename, $optlist) {}


/**
 * Open a page for text extraction.
 *
 * @param int $doc
 * @param int $pagenumber
 * @param string $optlist
 */
function open_page($doc, $pagenumber, $optlist) {}


/**
 * Get the value of a pCOS path with type number or boolean.
 *
 * @param int $doc
 * @param string $path
 */
function pcos_get_number($doc, $path) {}


/**
 * Get the value of a pCOS path with type name, number, string, or boolean.
 *
 * @param int $doc
 * @param string $path
 */
function pcos_get_string($doc, $path) {}


/**
 * Get the contents of a pCOS path with type stream, fstream, or string.
 *
 * @param int $doc
 * @param string $optlist
 * @param string $path
 */
function pcos_get_stream($doc, $optlist, $path) {}


/**
 * Set one or more global options for TET.
 *
 * @param string $optlist
 */
function set_option($optlist) {}


/**
 * Convert a string in an arbitrary encoding to a Unicode string in various formats.
 *
 * @param string $inputformat
 * @param string $inputstring
 * @param string $optlist
 * @return  The converted Unicode string.
 */
function convert_to_unicode($inputformat, $inputstring, $optlist) {}


/**
 * Write image data to disk.
 *
 * @param int $doc
 * @param int $imageid
 * @param string $optlist
 */
function write_image_file($doc, $imageid, $optlist) {}


/**
 * Process a page and create TETML output.
 *
 * @param int $doc
 * @param int $pageno
 * @param string $optlist
 */
function process_page($doc, $pageno, $optlist) {}


/**
 * Deprecated, use TET_get_tetml().
 *
 * @param int $doc
 * @param string $optlist
 */
function get_xml_data($doc, $optlist) {}


/**
 * Retrieve TETML from memory.
 *
 * @param int $doc
 * @param string $optlist
 */
function get_tetml($doc, $optlist) {}

};
?>
